Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.spreadsheet.core.renderer.categorization
Class EMFFormsCategorizationRenderer

    java.lang.Object
      org.eclipse.emfforms.spi.spreadsheet.core.EMFFormsAbstractSpreadsheetRenderer<VCategorization>
          org.eclipse.emfforms.internal.spreadsheet.core.renderer.categorization.EMFFormsCategorizationRenderer

    public class EMFFormsCategorizationRenderer

extends EMFFormsAbstractSpreadsheetRenderer<VCategorization>

Spreadsheet renderer for `VCategorization`.

Author:
  Eugen Neufeld

Constructor Summary
`EMFFormsCategorizationRenderer(EMFFormsSpreadsheetRendererFactory rendererFactory, ReportService reportService)` Default constructor.

Method Summary
`int` | `render(org.apache.poi.ss.usermodel.Workbook workbook, VCategorization vElement, ViewModelContext viewModelContext, EMFFormsSpreadsheetRenderTarget renderTarget)` This is called to trigger the rendering.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFFormsCategorizationRenderer

    public EMFFormsCategorizationRenderer(EMFFormsSpreadsheetRendererFactory rendererFactory,
                                          ReportService reportService)

  Default constructor.

  Parameters:
    `rendererFactory` - The EMFFormsSpreadsheetRendererFactory to use
    `reportService` - The `ReportService`

Method Detail

### render

    public int render(org.apache.poi.ss.usermodel.Workbook workbook,
                      VCategorization vElement,
                      ViewModelContext viewModelContext,
                      EMFFormsSpreadsheetRenderTarget renderTarget)

  This is called to trigger the rendering.

  Specified by:
    `render` in class `EMFFormsAbstractSpreadsheetRenderer<VCategorization>`
  Parameters:
    `workbook` - The `Workbook` to write to
    `vElement` - The `VElement` describing the information to write
    `viewModelContext` - The `ViewModelContext` containing the `EObject`
    `renderTarget` - The `EMFFormsSpreadsheetRenderTarget` containing the information where to render to
  Returns:
    The number of rendered columns
  See Also:
    `EMFFormsAbstractSpreadsheetRenderer.render(org.apache.poi.ss.usermodel.Workbook, org.eclipse.emf.ecp.view.spi.model.VElement, org.eclipse.emf.ecp.view.spi.context.ViewModelContext, org.eclipse.emfforms.spi.spreadsheet.core.EMFFormsSpreadsheetRenderTarget)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.